{% extends 'base.html' %}
{% block content %}

    {% for message in messages %}
    <div class="container-fluid p-0">
        <div class="alert alert-danger {{ message.tags }} alert-dismissible" role="alert" >
        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
            <span aria-hidden="True">&times;</span>
        </button>
        {{ message }}
        </div>
    </div>
    {% endfor %}
    {% if request.session.role == "Admin" %}
    <table class="table">
        <thead><tr>
            <th scope="col">Username pengguna</th>
            <th scope="col">Nama Tokoh</th>
            <th scope="col">Nama Misi</th>
            <th scope="col">Status</th>
          </tr></thead>
        {% if list_menjalankan_misi_utama %}
            {% for misi in list_menjalankan_misi_utama %}
            <tr scope="row">
                <td> {{ misi.0 }} </td>
                <td> {{ misi.1 }} </td>
                <td> {{ misi.2 }} </td>
                <td> {{ misi.3 }} </td>
            </tr>
            {% endfor %}
        {% endif %}
    </table>
    {% endif %}
    {% if request.session.role == "Pemain" %}
    <table class="table">
        <thead><tr>
            <th scope="col">Nama Tokoh</th>
            <th scope="col">Nama Misi</th>
            <th scope="col">Status</th>
            <th scope="col">Action</th>
          </tr></thead>
        {% if list_menjalankan_misi_utama %}
            {% for misi in list_menjalankan_misi_utama %}
            <tr scope="row">
                <td> {{ misi.1 }} </td>
                <td> {{ misi.2 }} </td>
                <td> {{ misi.3 }} </td>
                <td>
                  {% if misi.3 != 'Selesai' %}
                    <form method="get" action="/update/update_menjalankan_misi_utama">
                        <input type="hidden" name="username_pengguna" value="{{ misi.0 }}">
                        <input type="hidden" name="nama_tokoh" value="{{ misi.1 }}">
                        <input type="hidden" name="nama_misi" value="{{ misi.2 }}">
                       <button class="btn btn-primary">Update</button>
                    </form>
                {% endif %}
                </td>
            </tr>
            {% endfor %}
        {% endif %}
    </table>
    {% endif %}

{% endblock content %}

{% block js %}
    <script>
        $('.modal').modal()
    </script>
{% endblock js %}